{
    onModifyTypePriority: 1,
    onModifyType(move, pokemon) {
        const noModifyType = [
            "hiddenpower",
            "judgment",
            "multiattack",
            "naturalgift",
            "revelationdance",
            "struggle",
            "technoblast",
            "terrainpulse",
            "weatherball"
        ];
        if (
            !(move.isZ && move.category !== "Status") &&
            !noModifyType.includes(move.id) &&
            !(move.name === "Tera Blast" && pokemon.terastallized) &&
            move.type !== "Normal"
        ) {
            move.type = "Normal";
            move.typeChangerBoosted = this.effect;
        }
    },
    onModifyAtk(atk, attacker, defender, move) {
        if (move.type === "Normal" && !move.typeChangerBoosted) {
            return this.chainModify(2);
        }
    },
    onModifySpA(spa, attacker, defender, move) {
        if (move.type === "Normal" && !move.typeChangerBoosted) {
            return this.chainModify(2);
        }
    },
    onBasePowerPriority: 23,
    onBasePower(basePower, pokemon, target, move) {
        if (move.type === "Normal" && move.typeChangerBoosted === this.effect) {
            return this.chainModify([5324, 4096]);
        }
    },
    flags: {},
    name: "Normalize",
    rating: 0,
    num: 96,
}
